The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Gd Lib Not Working!!!

Discussion in 'General Discussion' started by echopad, Aug 26, 2004.

  1. echopad

    echopad Registered

    Joined:
    Jul 16, 2003
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    I am trying to get GD working... i went to scripts/easyapache, did option 1 then option5... i cannot get it to work for some reason!!!

    notice libjpeg is installed....


    libjpeg is installed and is the latest version.
    libtiff is installed and is the latest version.


    it says that libjpeg is not found...

    configure php-4.3.8...(--prefix=/usr --with-xml --enable-bcmath --enable-calendar --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-mcrypt --enable-magic-quotes --with-mysql --enable-discard-path --with-pear --enable-sockets --enable-track-vars --with-ttf --enable-versioning --with-zlib)..........................Done
    configure: error: libjpeg.(a|so) not found.




    Resolving dependencies
    ..Dependencies resolved
    I will do the following:
    [install: aspell-devel 12:0.50.3-16.i386]
    [install: libjpeg-devel 6b-29.i386]
    [install: libpng10-devel 1.0.15-4.i386]
    [install: libpng10 1.0.15-4.i386]
    [install: libpng-devel 2:1.2.5-4.i386]
    [install: libtiff-devel 3.5.7-14.i386]
    [install: XFree86-devel 4.3.0-55.i386]
    [update: krb5-devel 1.3.3-6.i386]
    [update: openssl 0.9.7a-33.10.i686]
    [update: glibc-devel 2.3.2-101.4.i386]
    [update: openssl-devel 0.9.7a-33.10.i386]
    [update: XFree86-libs 4.3.0-55.i386]
    [update: libpng 2:1.2.5-4.i386]
    I will install/upgrade these to satisfy the dependencies:
    [deps: XFree86-libs-data 4.3.0-55.i386]
    [deps: fontconfig-devel 2.2.1-6.1.i386]
    [deps: freetype-devel 2.1.4-5.i386]
    [deps: krb5-libs 1.3.3-6.i386]
    Getting XFree86-libs-data-4.3.0-55.i386.rpm
    retrygrab() failed for:
    ftp://ftp.cse.buffalo.edu/pub/fedor...1/i386/os/XFree86-libs-data-4.3.0-55.i386.rpm
    Executing failover method
    failover: out of servers to try
    Error getting file ftp://ftp.cse.buffalo.edu/pub/fedor...1/i386/os/XFree86-libs-data-4.3.0-55.i386.rpm
    [Errno 4] IOError: [Errno ftp error] 550 os: No such file or directory.
    Done
    Done
     
  2. wiresix

    wiresix Member

    Joined:
    Jun 1, 2004
    Messages:
    24
    Likes Received:
    0
    Trophy Points:
    1
    same here........
     
  3. echopad

    echopad Registered

    Joined:
    Jul 16, 2003
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    does anyone have the knowledge of information to help me?
     
  4. brentp

    brentp Well-Known Member

    Joined:
    Mar 11, 2004
    Messages:
    324
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Ayr, North Queensland, Australia
    Recompiling apache

    i use the cowards way.

    I use whm to recompile apache =) a lot easier.
    For when i do /scripts/upcp it says (unknown package) and my gd still works. So hope this helped
     
  5. LP-Trel

    LP-Trel Well-Known Member

    Joined:
    Oct 13, 2003
    Messages:
    184
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Nirvana
    You're apparently using Linux and you have part of a FreeBSD configure line there.

    That --with-jpeg-dir should be --with-jpeg-dir=/usr on Linux.

    Include that in your support ticket/bug report. :cool:
     
  6. echopad

    echopad Registered

    Joined:
    Jul 16, 2003
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Thanks for the reply!!! hopefully that is it!!! is that something I can fix on my own?

    Thanks
     
  7. poppyq

    poppyq Well-Known Member

    Joined:
    Jul 15, 2003
    Messages:
    54
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Austin, TX
    I'm trying buildapache #6 and WHM update apache and getting this:
    configure: error: libjpeg.(a|so) not found.

    (trying to build php with curl and gd) but after it completes building apache, a php test shows a different build line than what it shows during the easyapache process, I believe it's because of the libjpeg problem.


    configure php-4.3.8...(--with-apxs=/usr/local/apache/bin/apxs --with-xml --enable-bcmath --enable-calendar --with-curl --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --enable-magic-quotes --with-mysql --enable-discard-path --with-pear --enable-sockets --enable-track-vars --enable-versioning --with-zlib)..............................Done
    configure: error: libjpeg.(a|so) not found.

    That's the full line, but a php test shows:

    Configure Command './configure' '--with-apxs=/usr/local/apache/bin/apxs' '--with-xml' '--enable-bcmath' '--enable-calendar' '--enable-ftp' '--enable-magic-quotes' '--with-mysql' '--enable-discard-path' '--with-pear' '--enable-sockets' '--enable-track-vars' '--enable-versioning' '--with-zlib'

    What happened to all of these? --with-curl --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6
     
  8. admin0

    admin0 Active Member

    Joined:
    Aug 11, 2002
    Messages:
    29
    Likes Received:
    0
    Trophy Points:
    1
    anyone managed to solve this ?
    if yes, please provide some guidance ..

    :D
     
  9. poppyq

    poppyq Well-Known Member

    Joined:
    Jul 15, 2003
    Messages:
    54
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Austin, TX
    Mine turned out to be caused by the RHES not being authenticated for RHN so up2date doesn't work, which it needed to grab newer versions of programs/libs to install correctly. As soon as my server was authenticated with RHN it worked fine.
     
  10. admin0

    admin0 Active Member

    Joined:
    Aug 11, 2002
    Messages:
    29
    Likes Received:
    0
    Trophy Points:
    1
    SOLVED !!

    after packages were updated via rhn.


    Cheers,
     
  11. SpringChicken

    SpringChicken Member

    Joined:
    Dec 16, 2003
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    Server: EV1 RHE 3 Linux cPanel 9.4.1

    I am trying to use '/scripts/easyapache' to install GD but am receiving the following error when entering:

    *******
    Verifying compiler and libs....Updating /scripts...rsync: failed to connect to rsync.cpanel.net: Connection timed out
    rsync error: error in socket IO (code 10) at clientserver.c(83)
    Done
    Verifying installation....This system may not be updated until it is associated with a channel.
    This system may not be updated until it is associated with a channel.
    *******

    and this error when installing GB (easyapache #6):

    *******
    configure: error: libjpeg.(a|so) not found.
    *******

    I am already registered with RHN :

    *******
    up2date --register : Already Registered. This system appears to already be registered
    *******

    The main problem is that I am not able to re-install GD which disapeared after I updated php from 4.3.8 tp 4.3.9.

    I followed this thread which appears to have the same problem, and tried updating the packages in my RHN account but it says they are all updated.

    RHN says I have a demo account - is that right ?
    How do I associate the system with a channel ?
     
  12. VirtuaLira

    VirtuaLira Well-Known Member

    Joined:
    Feb 1, 2004
    Messages:
    148
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Chile
    Hi,

    I tried to install PHP + Suexec, and if OK.
    But recelntly I try to download and install GD lib. but this doesn't works.

    Any one knows how to make this three things works together?.

    PS: I tried with /scripts/easyapache, but don't appear the option of Suexec + GD.

    Thankxs!!
     
  13. deddy

    deddy Well-Known Member

    Joined:
    Oct 13, 2003
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    I got the same

    configure: error: libpng.(a|so) not found

    error, but only on 64bit systems.

    Apache upgrade is not possible there :(
     
  14. XPerties

    XPerties Well-Known Member

    Joined:
    Apr 10, 2003
    Messages:
    401
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    New Jersey, USA
    Same issues here:

    --with-gd' '--with-jpeg-dir=/usr/local' '--with-png-dir=/usr' '

    But doesn't work for any of my clients on this server. Running latest release on RHE3.
     
  15. robjs

    robjs Registered
    PartnerNOC

    Joined:
    Oct 16, 2004
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    easyapache doesn't like 64bit archs, you need to either install the 32bit stuff by doing this:

    Code:
    up2date --showall | grep <package>
    up2date --get <package's i386 candidate>
    rpm -i /var/spool/up2date/<rpm just downloaded>
    Or, compile PHP yourself with --with-<lib>=/usr/lib64.

    Rob
     
  16. irchs

    irchs Well-Known Member

    Joined:
    Jun 3, 2004
    Messages:
    76
    Likes Received:
    0
    Trophy Points:
    6
    I am still having the same problem.

    Even when trying to compile manually, with a huge array of different options for --with-jpeg-dir it still does not work.

    Has anyone got a definate solution to this problem?!

    Thanks

    Jan
     
  17. SpringChicken

    SpringChicken Member

    Joined:
    Dec 16, 2003
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    The issue is with Cpanel Registration

    I put in a trouble ticket and EV1 fixed it for me.
    It was to do with a Cpanel registration.
    Once it was registered the update in WHM added GD without any problems.
     
  18. irchs

    irchs Well-Known Member

    Joined:
    Jun 3, 2004
    Messages:
    76
    Likes Received:
    0
    Trophy Points:
    6
    I am not just having problems with GD tho, its libmysqlclient, imap and all kinds.

    Anyone with any suggestions, are my paths wrong or something?!

    Jan
     
  19. irchs

    irchs Well-Known Member

    Joined:
    Jun 3, 2004
    Messages:
    76
    Likes Received:
    0
    Trophy Points:
    6
  20. zccopwrx

    zccopwrx Member
    PartnerNOC

    Joined:
    Apr 20, 2005
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Just going to paste how to fix this, because that link no longer works.

     
Loading...

Share This Page